List of all members
clan::ZipArchive Class Reference
clanCore I/O Data

Zip archive. More...

`#include <zip_archive.h>`

## Public Member Functions
Construction
| ZipArchive ()
| Constructs or loads a ZIP archive. More...
| ZipArchive (IODevice &input)
| Constructs a ZipArchive. More...
| ZipArchive (const std::string &filename)
| Constructs a ZipArchive. More...
| ZipArchive (const ZipArchive &copy)
| Constructs a ZipArchive. More...
| ~ZipArchive ()
Attributes
std::vector< ZipFileEntry > | get_file_list ()
| List of file entries in archive. More...
std::vector< ZipFileEntry > | get_file_list (const std::string &path)
Operations
IODevice | open_file (const std::string &filename)
| Opens a file in the archive. More...
std::string | get_pathname (const std::string &filename)
| Get full path to source: More...
IODevice | create_file (const std::string &filename, bool compress=true)
| Creates a new file entry. More...
void | add_file (const std::string &input_filename, const std::string &filename_in_archive)
| Adds a file to zip archive. More...
void | save ()
| Saves zip archive. More...
void | save (const std::string &filename)
| Save. More...
void | save (IODevice iodev)
| Save. More...
void | load (IODevice &input)
| Loads the zip archive from a input device (done automatically at construction). More...

## Detailed Description

Zip archive.

The documentation for this class was generated from the following file:

- zip_archive.h